## org.apache.poi.hslf.model
Class ShapePainter

    java.lang.Object
      org.apache.poi.hslf.model.ShapePainter

    public final class ShapePainter

extends java.lang.Object

Paint a shape into java.awt.Graphics2D

Author:
  Yegor Kozlov

Field Summary
`protected static POILogger` `logger`

Constructor Summary
`ShapePainter()`

Method Summary
`static void` `paint(SimpleShape shape, java.awt.Graphics2D graphics)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static POILogger logger

Constructor Detail

### ShapePainter

    public ShapePainter()

Method Detail

### paint

    public static void paint(SimpleShape shape,
                             java.awt.Graphics2D graphics)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.